Name:           libnss-pgsql
Version:        1.5.0
Release:        0.13.beta%{?dist}
Summary:        Name Service Switch library that interface with PostgreSQL

Group:          System Environment/Libraries
License:        GPL+
URL:            http://pgfoundry.org/projects/sysauth/
Source0:        http://pgfoundry.org/frs/download.php/1878/%{name}-%{version}-beta.tgz
Patch0:         libnss-pgsql-fix_include.patch
Patch1:         libnss-pgsql-1.5.0-beta-exit-in-library.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  postgresql-devel, xmlto


%description
Name Service Switch library that interface with PostgreSQL.
See %{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}/nss-pgsql.html for the config file.


%prep
%setup -q -n %{name}-%{version}-beta
%patch0 -p1 -b include.rej
%patch1 -p1 -b exit-in-library.rej


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}
rm -rf ${RPM_BUILD_ROOT}/usr/doc
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%exclude %{_libdir}/*.so
%doc AUTHORS COPYING ChangeLog README doc/nss-pgsql.html doc/caution.png
%{_libdir}/libnss_pgsql.so.2.0.0
%{_libdir}/libnss_pgsql.so.2
%{_libdir}/libnss_pgsql.so


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-0.13.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-0.12.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-0.11.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Oct 27 2013 Ville Skyttä <ville.skytta@iki.fi> - 1.5.0-0.10.beta
- Fix reference to docs in %%description when doc dir is unversioned.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-0.9.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-0.8.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-0.7.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-0.6.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-0.5.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-0.4.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-0.3.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Edouard Bourguignon <madko@linuxed.net> - 1.5.0-0.2.beta
- Fix source URL
- Add a patch from M.Tasaka to remove exit() call in the library

* Fri Jan 23 2009 Edouard Bourguignon <madko@linuxed.net> - 1.5.0-0.1.beta
- Upgrade to 1.5.0 beta

* Mon Jan 12 2009 Edouard Bourguignon <madko@linuxed.net> - 1.4.0-2
- Add buildrequires on postgresql-devel

* Thu Jan  3 2008 Edouard Bourguignon <madko@linuxed.net> - 1.4.0-1
- Upgrade to version 1.4.0

* Mon Dec 12 2005 Edouard Bourguignon <madko@linuxed.net> - 1.3-1
- Initial package
